- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::IntraDCBandCodec Class Reference

A class specially for coding the DC subband of Intra frames. More...

`#include <band_codec.h>`

Inheritance diagram for dirac::IntraDCBandCodec:

List of all members.

## Public Member Functions
| IntraDCBandCodec (BasicOutputManager *bits_out, size_t number_of_contexts, const SubbandList &band_list)
| Constructor for encoding.
| IntraDCBandCodec (BitInputManager *bits_in, size_t number_of_contexts, const SubbandList &band_list)
| Constructor for decoding.

## Detailed Description

A class specially for coding the DC subband of Intra frames.

A class specially for coding the DC subband of Intra frames, using intra-band prediction of coefficients.

Definition at line 219 of file band_codec.h.

## Constructor & Destructor Documentation

dirac::IntraDCBandCodec::IntraDCBandCodec | ( | BasicOutputManager * | bits_out,
|  | size_t | number_of_contexts,
|  | const SubbandList & | band_list
| ) | `[inline]`

  | Constructor for encoding. Creates a IntraDCBandCodec object to encode subband data, based on parameters Parameters:
  | bits_out | the output for the encoded bits
  | number_of_contexts | the contexts used in the encoding process
  | band_list | the set of all the subbands
Definition at line 230 of file band_codec.h.

dirac::IntraDCBandCodec::IntraDCBandCodec | ( | BitInputManager * | bits_in,
|  | size_t | number_of_contexts,
|  | const SubbandList & | band_list
| ) | `[inline]`

  | Constructor for decoding. Creates a LFBandCodec object to decode subband data, based on parameters Parameters:
  | bits_in | the input for the encoded bits
  | number_of_contexts | the contexts used in the decoding process
  | band_list | the set of all the subbands
Definition at line 243 of file band_codec.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/band_codec.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/band_codec.cpp